<?php // Do not delete these lines
/*
Template: WP-Guestbook
Theme: Cherry Berry
Author: Frank Bueltge
Author URI: http://bueltge.de/
*/

	if ('wp-guestbook' == basename($_SERVER['SCRIPT_FILENAME']))die ('Please do not load this page directly. Thanks!');

    if (!empty($post->post_password)) { // if there's a password
    if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
	?>
	<p class="nocomments">This post is password protected. Enter the password to view comments.<p>
	<?php return; } 
	}

	/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>

<div id="commentid">
<?php if ('open' == $post->comment_status) : ?>

<h3 id="respond" class="postitle">Eintrag hinterlassen</h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>Du musst <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">angemeldet</a> sein, um einen Eintrag zu hinterlassen.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Angemeldet als <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="26" tabindex="1" />
<label for="author"><small>Name <?php if ($req) echo "(required)"; ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="26" tabindex="2" />
<label for="email"><small>E-Mail (wird nicht angezeigt) <?php if ($req) echo "(required)"; ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="26" tabindex="3" />
<label for="url"><small>Website</small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></small></p>-->

<p><textarea name="comment" id="comment" cols="10" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="Eintrag senden" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

	<p><?php comments_rss_link('RSS Feed f&uuml; dieses G&auml;stebuch'); ?> &bull; 
	<?php if ( pings_open() ) : ?>
	<a href="<?php trackback_url() ?>" rel="trackback" title="Trackback URI: <?php trackback_url() ?>"><?php _e('TrackBack <abbr title="Uniform Resource Locator">URL</abbr>'); ?></a>
	<?php endif; ?>
	</p>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>

<?php if ($comments) : ?>
	<h3 id="comments" class="postitle"><?php comments_number('Kein Eintrag', 'Ein Eintrag', '% Eintr&auml;ge' );?> im &#8220;<?php the_title(); ?>&#8221;</h3>

	<ol class="commentlist">

		<?php foreach ($comments as $comment) : ?>
		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
			<h4><?php comment_author_link() ?> sagte:</h4>
	
			<?php if ($comment->comment_approved == '0') : ?>
			<em>Der Kommentar muss noch best&auml;tigt werden.</em>
	
			<?php endif; ?>
	
			<?php comment_text() ?>
	
			<p><small><?php edit_comment_link('Bearbeiten','','&bull; '); ?><a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date('l, j F Y @ g:ia') ?></a></small></p> 
		</li>
		
	<?php /* Changes every other comment to a different class */	
		if ('alt' == $oddcomment) $oddcomment = '';
		else $oddcomment = 'alt';
	?>

	<?php endforeach; /* end for each comment */ ?>
	
	</ol>

	<?php else : // this is displayed if there are no comments so far ?>
	

	<?php if ('open' == $post->comment_status) : ?> 
	<!-- If comments are open, but there are no comments. -->
		
	<?php else : // comments are closed ?>
	<!-- If comments are closed. -->
	<p class="nocomments">Es ist derzeit nicht m&ouml;glich einen KOmmentar zu hinterlassen.</p>
		
	<?php endif; ?>
	
<?php endif; ?>

</div>