<?php
/*
Plugin Name: WP-Guestbook
Plugin URI: http://www.bueltge.de/wp-gaestebuch-wp-guestbook-plugin/155/
Description: G&auml;stebuch f&uuml;r WP, nutzt die WP-Kommentarfunktion. F&uuml;r mehr Infos zum Anpassen an das jeweilige Theme ist die Pluginseite des Autors zu besuchen. Die beigef&uuml;gten Templates sind auf Basis des deutschen "default_de"-Themes erstellt.
Author: Frank Bueltge
Version: 2.1
License: GPL
Author URI: http://bueltge.de
Update Server: http://bueltge.de
Min WP Version: 1.5
Max WP Version: 2.0.2
*/ 

// Konfigurationseinstellungen, die folgenden Einstellungen sind default,
// falls die paged-guestbook-config.php nicht vorhanden sein sollte
$guestbook->template_path = 'wp-content/themes/cherry-berry-pr/wp-guestbook.php';

function guestbook_template( $file = '/wp-guestbook.php' ) {
	global $wp_query, $withcomments, $post, $wpdb, $id, $comment, $user_login, $user_ID, $user_identity;

	if ( is_single() || is_page() || $withcomments ) :
		$req = get_settings('require_name_email');
		$comment_author = isset($_COOKIE['comment_author_'.COOKIEHASH]) ? trim(stripslashes($_COOKIE['comment_author_'.COOKIEHASH])) : '';
		$comment_author_email = isset($_COOKIE['comment_author_email_'.COOKIEHASH]) ? trim(stripslashes($_COOKIE['comment_author_email_'.COOKIEHASH])) : '';
		$comment_author_url = isset($_COOKIE['comment_author_url_'.COOKIEHASH]) ? trim(stripslashes($_COOKIE['comment_author_url_'.COOKIEHASH])) : '';
	if ( empty($comment_author) ) {
		$comments = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_post_ID = '$post->ID' AND comment_approved = '1' ORDER BY comment_date");
	} else {
		$author_db = $wpdb->escape($comment_author);
		$email_db  = $wpdb->escape($comment_author_email);
		$comments = $wpdb->get_results("SELECT * FROM $wpdb->comments WHERE comment_post_ID = '$post->ID' AND ( comment_approved = '1' OR ( comment_author = '$author_db' AND comment_author_email = '$email_db' AND comment_approved = '0' ) ) ORDER BY comment_date");
	}

	get_currentuserinfo();

	define('GUESTBOOK_TEMPLATE', true);
	$include = apply_filters('guestbook_template', TEMPLATEPATH . $file);
  if (!file_exists($include)) $include = ABSPATH . $guestbook->template_path;
		require( $include );
	endif;
}
?>