<?php
/*
Template Name: WP-Guestbook
Theme: Cherry Berry
Basis: single.php
Author: Frank Bueltge
Author URI: http://bueltge.de/
*/
?>

<?php get_header(); ?>
<div id="body">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">
	
	<h2 class="postitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
	<p class="postmeta"><?php the_time('l, j F Y @ g:ia') ?> &bull; <?php the_category(', ') ?><?php edit_post_link('Bearbeiten',' &bull;',''); ?></p>
	
	<div class="postentry">
		<?php the_content(); ?>
		<?php link_pages('<p>Pages:</strong> ', '</p>', 'number'); ?>
	</div>
	
	<p>
	erstellt von <?php the_author_posts_link() ?>  &bull; 
	<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link zu <?php the_title(); ?>">Permalink</a> &bull; 
	<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) { ?>
	<a href="<?php the_permalink() ?>#respond" title="Kommentar hinterlassen">Eintrag hinterlassen &raquo;</a>
	<?php } ?>
	</p>

</div>

<?php if (function_exists('paged_guestbookcomments_template')) paged_guestbookcomments_template(); 
      else 
      if (function_exists('guestbook_template')) guestbook_template(); else 
      comments_template(); 
?>

<?php endwhile; else: ?>
<h2>Not Found</h2>
<p>Die gesuchte Seite konnte nicht gefunden werden.</p>
<?php include (TEMPLATEPATH . "/searchform.php"); ?>
	
<?php endif; ?>
</div><!-- #body -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>